<script lang="ts" setup>
defineOptions({
  inheritAttrs: false,
})
withDefaults(defineProps<{
  name: IconfontTypes.name
  wrapper?: boolean
  className?: string
}>(), {
  wrapper: false
})
</script>

<template>
  <div v-if="wrapper" class="iconfont-wrapper">
    <i :class="['icon-'+name, className]" class="iconfont"></i>
  </div>
  <i v-else :class="['icon-'+name, className]" class="iconfont"></i>
</template>

<style lang="stylus" scoped>


</style>
